<?php
// wee-auth.php for PHPMYADMIN 3.4.10.1

//##################################
require '../libraries/Error_Handler.class.php';
$GLOBALS['error_handler'] = new PMA_Error_Handler();
$cfg['Error_Handler']['display'] = TRUE;
define('PHPMYADMIN', true);
require '../libraries/core.lib.php';
require '../libraries/sanitizing.lib.php';
require '../libraries/Config.class.php';
$GLOBALS['PMA_Config'] = new PMA_Config(CONFIG_FILE);
$GLOBALS['PMA_Config']->enableBc();
require '../libraries/session.inc.php';
if (! defined('PMA_MINIMUM_COMMON')) {
    
    if (isset($_REQUEST['server']) && (is_string($_REQUEST['server']) || is_numeric($_REQUEST['server'])) && ! empty($_REQUEST['server']) && ! empty($cfg['Servers'][$_REQUEST['server']])) {
        $GLOBALS['server'] = $_REQUEST['server'];
        $cfg['Server'] = $cfg['Servers'][$GLOBALS['server']];
    } else {
        if (!empty($cfg['Servers'][$cfg['ServerDefault']])) {
            $GLOBALS['server'] = $cfg['ServerDefault'];
            $cfg['Server'] = $cfg['Servers'][$GLOBALS['server']];
        } else {
            $GLOBALS['server'] = 0;
            $cfg['Server'] = array();
        }
    }
    
    if (! empty($cfg['Server'])) {
        $cfg['Server']['auth_type'] = strtolower($cfg['Server']['auth_type']);
        if (! file_exists('../libraries/auth/' . $cfg['Server']['auth_type'] . '.auth.lib.php')) {
            PMA_fatalError(__('Invalid authentication method set in configuration:') . ' ' . $cfg['Server']['auth_type']);
        }
        require_once '../libraries/auth/' . $cfg['Server']['auth_type'] . '.auth.lib.php';
        
	if (!PMA_auth_check()) {
            PMA_secureSession();
            //PMA_auth();
        } else {
            PMA_auth_set_user();
        }
    }
}

//##################################


if (isset($_SESSION['userconfig'])) {
     if (isset($_COOKIE['pmaUser-1'])) {
          $USERID = $GLOBALS['cfg']['Server']['user'];
          // $_COOKIE is not valid source for the user id as it changes
	  // $USERID = substr( $_COOKIE['pmaUser-1'],0,6);
          $GPGDIR = $GPGDIR."/".$USERID;
          if (! is_dir($GPGDIR)){
               mkdir ($GPGDIR,0700);     
          }
     }
}     
else {
     die ("Not logged in.");
}
?>
